package com.huatek.busi.vo.cable;

import com.huatek.busi.common.annotation.ExcelAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Objects;

/**
 * 电缆环流
 *
 * @author Bobi_huo
 * @date 2020-09-10 10:32
 */
@ApiModel(value = "BusiCableCirculationReportVo", description = "电缆环流数据导出 Vo")
@EqualsAndHashCode(callSuper = false)
public class BusiCableCirculationReportVo implements Serializable {

    private static final long serialVersionUID = 1783921223215564802L;

    /**
     * 序号
     */
    @ApiModelProperty(name = "serialNumber", value = "序号")
    private String serialNumber;

    /**
     * 在线监测装置的唯一标识（17 位码）
     */
    @ExcelAnnotation(exportName = "传感器编号")
    @ApiModelProperty(name = "sensorId", value = "在线监测装置的唯一标识（17 位码）")
    private String sensorId;

    /**
     * 传感器名称
     */
    @ExcelAnnotation(exportName = "传感器名称")
    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    private String sensorName;

    /**
     * 监测类型编码
     */
    @ApiModelProperty(name = "cacMonitorTypeCode", value = "监测类型编码")
    private String cacMonitorTypeCode;

    /**
     * 数据采集时间
     */
    @ExcelAnnotation(exportName = "采集时间")
    @ApiModelProperty(name = "timeStamp", value = "数据采集时间，格式为：yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeStamp;

    /**
     * 被监测设备相别
     */
    @ExcelAnnotation(exportName = "被监测设备相别")
    @ApiModelProperty(name = "phase", value = "被监测设备相别")
    private String phase;

    /**
     * 电流（A）
     */
    @ExcelAnnotation(exportName = "电流（A）")
    @ApiModelProperty(name = "totalCoreCurrent", value = "电流（A）")
    private String totalCoreCurrent;

    /**
     * 主设备编号
     */
    @ExcelAnnotation(exportName = "设备编号")
    @ApiModelProperty(name = "equipmentCode", value = "主设备编号")
    private String equipmentCode;

    /**
     * 主设备名称
     */
    @ExcelAnnotation(exportName = "设备名称")
    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

    /**
     * 设备运行状态：0-无  1-发电  2-抽水  3-空闲
     */
    @ExcelAnnotation(exportName = "设备运行状态")
    @ApiModelProperty(name = "runState", value = "设备运行状态")
    private String runState;

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getSensorId() {
        return sensorId;
    }

    public void setSensorId(String sensorId) {
        this.sensorId = sensorId;
    }

    public String getCacMonitorTypeCode() {
        return cacMonitorTypeCode;
    }

    public String getSensorName() {
        return sensorName;
    }
    public void setSensorName(String sensorName) {
        this.sensorName = sensorName;
    }


    public void setCacMonitorTypeCode(String cacMonitorTypeCode) {
        this.cacMonitorTypeCode = cacMonitorTypeCode;
    }

    public LocalDateTime getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(LocalDateTime timeStamp) {
        this.timeStamp = timeStamp;
    }

    public String getPhase() {
        return phase;
    }

    public void setPhase(String phase) {
        this.phase = phase;
    }

    public String getTotalCoreCurrent() {
        return totalCoreCurrent;
    }

    public void setTotalCoreCurrent(String totalCoreCurrent) {
        this.totalCoreCurrent = totalCoreCurrent;
    }

    public String getEquipmentCode() {
        return equipmentCode;
    }

    public void setEquipmentCode(String equipmentCode) {
        this.equipmentCode = equipmentCode;
    }

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName;
    }

    public String getRunState() {
        return runState;
    }

    public void setRunState(String runState) {
        this.runState = runState;
    }

}